// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order_web/cancel_fast_deal_item_web.proto

package order_web

import (
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

var File_v1_order_web_cancel_fast_deal_item_web_proto protoreflect.FileDescriptor

var file_v1_order_web_cancel_fast_deal_item_web_proto_rawDesc = []byte{
	0x0a, 0x2c, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x2f, 0x63,
	0x61, 0x6e, 0x63, 0x65, 0x6c, 0x5f, 0x66, 0x61, 0x73, 0x74, 0x5f, 0x64, 0x65, 0x61, 0x6c, 0x5f,
	0x69, 0x74, 0x65, 0x6d, 0x5f, 0x77, 0x65, 0x62, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x16,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x1a, 0x2a, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x63, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x5f, 0x66, 0x61,
	0x73, 0x74, 0x5f, 0x64, 0x65, 0x61, 0x6c, 0x5f, 0x69, 0x74, 0x65, 0x6d, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x32, 0x9b, 0x03, 0x0a, 0x19, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73,
	0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x12, 0x7c, 0x0a, 0x15, 0x47, 0x65, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73,
	0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47,
	0x65, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c,
	0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x31, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x47, 0x65, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65,
	0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x7f,
	0x0a, 0x16, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74,
	0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x31, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61, 0x6c,
	0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x32, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44,
	0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x7f, 0x0a, 0x16, 0x53, 0x61, 0x76, 0x65, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73,
	0x74, 0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x12, 0x31, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53,
	0x61, 0x76, 0x65, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74, 0x44, 0x65, 0x61,
	0x6c, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x32, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x53, 0x61, 0x76, 0x65, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x46, 0x61, 0x73, 0x74,
	0x44, 0x65, 0x61, 0x6c, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x42, 0x53, 0x0a, 0x19, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77, 0x65, 0x62, 0x50, 0x01, 0x5a,
	0x31, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61,
	0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x77,
	0x65, 0x62, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var file_v1_order_web_cancel_fast_deal_item_web_proto_goTypes = []interface{}{
	(*order.GetCancelFastDealItemRequest)(nil),   // 0: fcp.order.v1.order.GetCancelFastDealItemRequest
	(*order.ListCancelFastDealItemRequest)(nil),  // 1: fcp.order.v1.order.ListCancelFastDealItemRequest
	(*order.SaveCancelFastDealItemRequest)(nil),  // 2: fcp.order.v1.order.SaveCancelFastDealItemRequest
	(*order.GetCancelFastDealItemResponse)(nil),  // 3: fcp.order.v1.order.GetCancelFastDealItemResponse
	(*order.ListCancelFastDealItemResponse)(nil), // 4: fcp.order.v1.order.ListCancelFastDealItemResponse
	(*order.SaveCancelFastDealItemResponse)(nil), // 5: fcp.order.v1.order.SaveCancelFastDealItemResponse
}
var file_v1_order_web_cancel_fast_deal_item_web_proto_depIdxs = []int32{
	0, // 0: fcp.order.v1.order_web.CancelFastDealItemService.GetCancelFastDealItem:input_type -> fcp.order.v1.order.GetCancelFastDealItemRequest
	1, // 1: fcp.order.v1.order_web.CancelFastDealItemService.ListCancelFastDealItem:input_type -> fcp.order.v1.order.ListCancelFastDealItemRequest
	2, // 2: fcp.order.v1.order_web.CancelFastDealItemService.SaveCancelFastDealItem:input_type -> fcp.order.v1.order.SaveCancelFastDealItemRequest
	3, // 3: fcp.order.v1.order_web.CancelFastDealItemService.GetCancelFastDealItem:output_type -> fcp.order.v1.order.GetCancelFastDealItemResponse
	4, // 4: fcp.order.v1.order_web.CancelFastDealItemService.ListCancelFastDealItem:output_type -> fcp.order.v1.order.ListCancelFastDealItemResponse
	5, // 5: fcp.order.v1.order_web.CancelFastDealItemService.SaveCancelFastDealItem:output_type -> fcp.order.v1.order.SaveCancelFastDealItemResponse
	3, // [3:6] is the sub-list for method output_type
	0, // [0:3] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_v1_order_web_cancel_fast_deal_item_web_proto_init() }
func file_v1_order_web_cancel_fast_deal_item_web_proto_init() {
	if File_v1_order_web_cancel_fast_deal_item_web_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_web_cancel_fast_deal_item_web_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_order_web_cancel_fast_deal_item_web_proto_goTypes,
		DependencyIndexes: file_v1_order_web_cancel_fast_deal_item_web_proto_depIdxs,
	}.Build()
	File_v1_order_web_cancel_fast_deal_item_web_proto = out.File
	file_v1_order_web_cancel_fast_deal_item_web_proto_rawDesc = nil
	file_v1_order_web_cancel_fast_deal_item_web_proto_goTypes = nil
	file_v1_order_web_cancel_fast_deal_item_web_proto_depIdxs = nil
}
